Bug 507579 - Monitor not put to sleep because of inactivity
Monitor not put to sleep because of inactivity
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
14
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 07:25 EDT by Iyengar
Modified: 2011-11-15 08:02 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-15 08:02:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iyengar 2009-06-23 07:25:45 EDT
Description of problem:
monitor not put to sleep

Version-Release number of selected component (if applicable):
fedora 11

How reproducible:
every time

Steps to Reproduce:
1. monitor to go to sleep after 10 mins of inactivity
2.
3.
  
Actual results:
does not happen

Expected results:
monitor turns blank but stays alive

Additional info:
Comment 1 Hin-Tak Leung 2009-06-27 20:25:48 EDT
I have the same problem since upgrading to f11. I am only just reading up on it. Apparently power management interaction with screen saver has changed - switching *off* screensaver (i.e. *not* to activate screensaver when idle) may help. I am going to try this now.
Comment 2 Iyengar 2009-06-30 18:28:25 EDT
(In reply to comment #1)
> I have the same problem since upgrading to f11. I am only just reading up on
> it. Apparently power management interaction with screen saver has changed -
> switching *off* screensaver (i.e. *not* to activate screensaver when idle) may
> help. I am going to try this now.  

I tried this.  Monitor goes to sleep.  But screen is not locked on resume(does not ask for password)
Comment 3 Hin-Tak Leung 2009-06-30 19:23:14 EDT
well, my LCD doesn't blank any more... so f12 has a regression vs f11. (my LCD blanks and backlight switched off under f11).
Comment 4 Jean-Francois Saucier 2009-07-06 16:05:09 EDT
I can confirm this bug under a fully updated (2009-07-06) Fedora 11.

Screensaver set to blank and lock screen after 5 minutes, display set to sleep after 6 minutes.

The display always stay active and never goes to sleep.
Comment 5 Iyengar 2009-11-09 13:28:13 EST
After installing the latest updates this problem was solved today (2009-11-09). I no longer see this bug.
Comment 6 Hin-Tak Leung 2009-11-09 14:17:37 EST
(In reply to comment #5)
> After installing the latest updates this problem was solved today (2009-11-09).
> I no longer see this bug.  

Are you talking about upgrading to F12 or just the latest F11 updates? AFAIK it is still a problem here.
Comment 7 Iyengar 2009-11-09 18:48:51 EST
(In reply to comment #6)
> Are you talking about upgrading to F12 or just the latest F11 updates? AFAIK it
> is still a problem here.  

Just the F11 updates. I upgraded my i586 F10 box to F11 to test an unrelated bug. I did not see this problem on the i586 box. This got me wondering. So, Logged into my x86_64 box and executed yum clean all and yum update. After a reboot, I don't see this problem.  Also, I checked the Activate screensaver when computer is idle option.
Comment 8 Bug Zapper 2009-11-16 05:19:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Hin-Tak Leung 2009-11-22 13:00:40 EST
upgrading to f12 (x86_64) and the LCD is put to sleep.. problem seems to have gone with f12. (RS690/ati driver, laptop LCD)
Comment 10 Jean-Francois Saucier 2010-02-07 12:19:35 EST
I can confirm this bug is solved on my end.

Fully updated Fedora 12 as of 7 February 2010.
Comment 11 Brian Mury 2010-02-07 18:53:44 EST
Problem is still present on my F12 installation.
Comment 12 Jean-Francois Saucier 2010-06-18 10:26:15 EDT
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update' or using the graphical updater, Software Update.
Comment 13 Iyengar 2010-06-19 12:51:32 EDT
(In reply to comment #12)
> Thank you for taking the time to report this bug. Updates to this package have
> been released since it was first reported. If you have time to update the
> package and re-test, please do so and report the results here. You can obtain
> the updated package by typing 'yum update' or using the graphical updater,
> Software Update.    

have upgraded to Fedora 13 and the problem still persists..
Comment 14 Jean-Francois Saucier 2010-09-09 10:46:02 EDT
lyengar, can you provide more informations on your setup, like the configuration of your desktop (GNOME, KDE, etc) and, for example, the configuration of Gnome Screensaver if you use it.


Thanks!
Comment 15 Josh Bressers 2010-09-14 22:20:31 EDT
I'm seeing this in F13 as well. I'm using the same gnome configuration I was in F11 and F12 (I've carried my home with me).

I'm running GNOME, and don't have anything unusual in my setup (that I know of).
Even if I disable the screensaver, the screens don't blank.

% gconftool-2 -a /apps/gnome-screensaver 
 lock_enabled = true
 idle_activation_enabled = true
 cycle_delay = 10
 status_message_enabled = true
 mode = blank-only
 lock_dialog_theme = default
 user_switch_enabled = true
 idle_delay = 10
 logout_delay = 120
 power_management_delay = 30
 embedded_keyboard_enabled = false
 logout_enabled = false
 embedded_keyboard_command = 
 logout_command = 
 themes = []
 lock_delay = 0


% gconftool-2 -a /apps/gnome-power-manager/timeout
 sleep_display_ac = 300
 sleep_computer_battery = 0
 sleep_computer_ac = 0
 sleep_display_battery = 600
 sleep_computer_ups = 0
 sleep_display_ups = 600


Let me know what else I can provide.

Thanks.
Comment 16 Iyengar 2010-09-15 10:13:45 EDT
(In reply to comment #14)
> lyengar, can you provide more informations on your setup, like the
> configuration of your desktop (GNOME, KDE, etc) and, for example, the
> configuration of Gnome Screensaver if you use it.
> 
> 
> Thanks!

Using GNOME here. Just upgraded to 2.6.34.53 kernel

% gconftool-2 -a /apps/gnome-screensaver
 lock_enabled = true
 idle_activation_enabled = true
 cycle_delay = 10
 status_message_enabled = true
 mode = single
 lock_dialog_theme = default
 user_switch_enabled = true
 idle_delay = 10
 logout_delay = 120
 power_management_delay = 30
 embedded_keyboard_enabled = false
 logout_enabled = false
 embedded_keyboard_command = 
 logout_command = 
 themes = [blank-only]
 lock_delay = 0

% gconftool-2 -a /apps/gnome-power-manager/timeout
 sleep_display_ac = 600
 sleep_computer_ac = 0
 sleep_computer_battery = 0
 sleep_display_battery = 600
 sleep_computer_ups = 0
 sleep_display_ups = 600
Comment 17 Iyengar 2010-09-15 10:16:32 EDT
Sorry kernel version is 
2.6.34.6-54.fc13.i686 NOT 2.6.34.53

Thanks,
Sundar
Comment 18 Josh Bressers 2010-09-16 17:06:54 EDT
It seems I only see this bug when my laptop lid is closed and I'm using my two external monitors. If I open the lid (even though nothing is being displayed), the screens go to sleep.

I looked at the source, how to fix this isn't totally obvious to me though.
Comment 19 Jean-Francois Saucier 2010-10-03 10:55:02 EDT
It's very weird because I have mostly the same settings as you :

$ gconftool-2 -a /apps/gnome-screensaver
 lock_enabled = true
 idle_activation_enabled = true
 cycle_delay = 10
 status_message_enabled = true
 mode = blank-only
 lock_dialog_theme = default
 user_switch_enabled = true
 idle_delay = 10
 logout_delay = 120
 power_management_delay = 30
 embedded_keyboard_enabled = false
 logout_enabled = false
 embedded_keyboard_command = 
 logout_command = 
 themes = []
 lock_delay = 0

$ gconftool-2 -a /apps/gnome-power-manager/timeout
 sleep_display_ac = 300
 sleep_computer_battery = 0
 sleep_computer_ac = 0
 sleep_display_battery = 300
 sleep_computer_ups = 0
 sleep_display_ups = 600


This is on my Thinkpad T61 and everything work well. Just to test, I revert my Dell Mini from Rawhide to F-13 and configure everything with the same settings. Now, I hit this bug sometimes (not always!)...

I will try to figure out from where it can come.
Comment 20 Iyengar 2010-10-04 20:30:36 EDT
(In reply to comment #19)

> 
> This is on my Thinkpad T61 and everything work well. Just to test, I revert my
> Dell Mini from Rawhide to F-13 and configure everything with the same settings.
> Now, I hit this bug sometimes (not always!)...
> 
> I will try to figure out from where it can come.

Jean-Francois,

Here is what I've notice the last few times.

First time Login after reboot.  Monitor NOT put to sleep.

Subsequent Logins monitor put to sleep after desired interval.

I hope this is the same experienced by you, when you say sometimes..

Thanks,
Comment 21 Iyengar 2010-10-05 06:51:28 EDT
(In reply to comment #20)

> Jean-Francois,
> 
> Here is what I've notice the last few times.
> 
> First time Login after reboot.  Monitor NOT put to sleep.
> 
> Subsequent Logins monitor put to sleep after desired interval.
> 
> I hope this is the same experienced by you, when you say sometimes..
> 
> Thanks,

When I say subsequent logins, I meant from the screensaver state.

Thx.
Comment 22 Jean-Francois Saucier 2010-10-05 13:21:10 EDT
Here is what came from testing in my setup :

After the first GDM login, the screensaver (Blank screensaver) kicks in after 4 minutes (my configuration) and locks the screen. But the screen never power off, it stays at the blank screensaver.

If I unlock my screensaver and return to my desktop, after another 4 minutes, the screensaver kicks in and locks the screen. After another minute (again, my configuration), the screen power off correctly.

From after the second time, everything work as expected. So, the bug seems to be present only at the first cycle.
Comment 23 Iyengar 2010-10-19 13:44:33 EDT
I am not sure this related.  However, I would like to log it here. If I keep Filezilla-client open. the screensaver fails to turn on. Filezilla client version is 3.3.3-1.fc13.
Comment 24 Bug Zapper 2010-11-04 07:01:25 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Michael Hampton 2010-11-05 23:30:10 EDT
I'm also seeing this issue in F13; this bug should be updated.

Using "xset dpms force off" powers down the display properly, but gnome-power-manager will not. This issue has been ongoing since F11. I can provide any other necessary configuration information to help with diagnosing this issue...

error@underground ~ $ gconftool-2 -a /apps/gnome-power-manager/timeout
 sleep_display_ac = 600
 sleep_computer_battery = 0
 sleep_computer_ac = 0
 sleep_display_battery = 600
 sleep_computer_ups = 0
 sleep_display_ups = 60
error@underground ~ $ gconftool-2 -a /apps/gnome-screensaver
 lock_enabled = true
 idle_activation_enabled = true
 cycle_delay = 10
 status_message_enabled = true
 mode = blank-only
 lock_dialog_theme = default
 user_switch_enabled = true
 idle_delay = 10
 logout_delay = 120
 power_management_delay = 30
 embedded_keyboard_enabled = false
 logout_enabled = false
 embedded_keyboard_command = 
 logout_command = 
 themes = []
 lock_delay = 0
error@underground ~ $
Comment 26 Iyengar 2010-11-07 06:57:47 EST
Just upgraded to F14. This issue continues to exist. In fact, It is NOT limited to the first Screensaver cycle as described in comment 22 anymore. It continues to subsequent power cycles.
Comment 27 Michael Hampton 2010-11-07 09:37:35 EST
Just upgraded to F14 and this issue isn't occurring for me anymore. I think it would be safe to call this one intermittent.
Comment 28 Richard Hughes 2011-11-15 08:02:40 EST
You need to either use F15 or F16 to get this fix. Please re-open if it still happens in newer releases. Thanks.

Note You need to log in before you can comment on or make changes to this bug.